Subject: Re: [PATCH 1/2] filter-branch: only print usage information when no arguments supplied

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Jan 2008 17:34:55 -0800

Brandon Casey <[email-masked]> writes:

> Testing for whether command line arguments were supplied was being
> performed during option parsing. This had the side effect of
> printing usage information when a more appropriate error message
> would have been printed had the script been allowed to continue.
>
> Now this:
>
> 	git filter-branch
>
> will print usage information.
>
> And these:
>
> 	git filter-branch -d /tmp/work-dir
> 	git filter-branch <non-existant-revision>
> 	git filter-branch --
> 	git filter-branch -- <non-existant-revision>
>
> will print a message informing the user that filter-branch did
> not know which reference to rewrite. Without this patch the
> one with '-d' would also print usage information.
>
> Signed-off-by: Brandon Casey <[email-masked]>
> ---
>
>
> I prefer my original patch since I think it is consistent
> with the git interface.

I'd refrain from commenting on if it is consistent or not with
"the git interface".

But I would say I prefer your original better than this one.
Will apply.